Cassandra.truncate_args (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Class Cassandra.truncate_args

- java.lang.Object
- - org.apache.cassandra.thrift.Cassandra.truncate_args

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.truncate_args>, org.apache.thrift.TBase<Cassandra.truncate_args,Cassandra.truncate_args._Fields>
  Enclosing class:
    Cassandra

      public static class Cassandra.truncate_args
      extends java.lang.Object
      implements org.apache.thrift.TBase<Cassandra.truncate_args,Cassandra.truncate_args._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.truncate_args>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Cassandra.truncate_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `cfname`
    `static java.util.Map<Cassandra.truncate_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `truncate_args()`
    `truncate_args(Cassandra.truncate_args other)` Performs a deep copy on other.
    `truncate_args(java.lang.String cfname)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(Cassandra.truncate_args other)`
    `Cassandra.truncate_args` | `deepCopy()`
    `boolean` | `equals(Cassandra.truncate_args that)`
    `boolean` | `equals(java.lang.Object that)`
    `Cassandra.truncate_args._Fields` | `fieldForId(int fieldId)`
    `java.lang.String` | `getCfname()`
    `java.lang.Object` | `getFieldValue(Cassandra.truncate_args._Fields field)`
    `int` | `hashCode()`
    `boolean` | `isSet(Cassandra.truncate_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCfname()` Returns true if field cfname is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `Cassandra.truncate_args` | `setCfname(java.lang.String cfname)`
    `void` | `setCfnameIsSet(boolean value)`
    `void` | `setFieldValue(Cassandra.truncate_args._Fields field, java.lang.Object value)`
    `java.lang.String` | `toString()`
    `void` | `unsetCfname()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cfname

          public java.lang.String cfname

    - #### metaDataMap

          public static final java.util.Map<Cassandra.truncate_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### truncate_args

          public truncate_args()

    - #### truncate_args

          public truncate_args(java.lang.String cfname)

    - #### truncate_args

          public truncate_args(Cassandra.truncate_args other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public Cassandra.truncate_args deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.truncate_args,Cassandra.truncate_args._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<Cassandra.truncate_args,Cassandra.truncate_args._Fields>`

    - #### getCfname

          public java.lang.String getCfname()

    - #### setCfname

          public Cassandra.truncate_args setCfname(java.lang.String cfname)

    - #### unsetCfname

          public void unsetCfname()

    - #### isSetCfname

          public boolean isSetCfname()

      Returns true if field cfname is set (has been assigned a value) and false otherwise

    - #### setCfnameIsSet

          public void setCfnameIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(Cassandra.truncate_args._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.truncate_args,Cassandra.truncate_args._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(Cassandra.truncate_args._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.truncate_args,Cassandra.truncate_args._Fields>`

    - #### isSet

          public boolean isSet(Cassandra.truncate_args._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<Cassandra.truncate_args,Cassandra.truncate_args._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(Cassandra.truncate_args that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(Cassandra.truncate_args other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Cassandra.truncate_args>`

    - #### fieldForId

          public Cassandra.truncate_args._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.truncate_args,Cassandra.truncate_args._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<Cassandra.truncate_args,Cassandra.truncate_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<Cassandra.truncate_args,Cassandra.truncate_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation